Ravens PHP Scripts

PHP Classifieds *catid* and *catid_search* SQL Injection Vulnerability
Date: Tuesday, October 10, 2006 @ 18:58:53 PDT
Topic: Security


SECUNIA ADVISORY ID: SA22264

VERIFY ADVISORY: http://secunia.com/advisories/22264/

CRITICAL: Moderately critical

IMPACT: Manipulation of data

WHERE: >From remote

SOFTWARE:

PHP Classifieds 7.x - http://secunia.com/product/12226/
PHP Classifieds 6.x - http://secunia.com/product/8084/

DESCRIPTION: Kzar has discovered some vulnerabilities in PHP Classifieds, which can be exploited by malicious people to conduct SQL injection attacks.


Input passed to the "catid" parameter in index.php and the "catid_search" parameter in search.php is not properly sanitised before being used in SQL queries. This can be exploited to manipulate SQL queries by inserting arbitrary SQL code. The vulnerabilities have been confirmed in version 7.1. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly sanitised.

PROVIDED AND/OR DISCOVERED BY: Kzar






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=2447